10010 REM       DAY OF YEAR
10011 REM  CALCULATES 1- TO 3-DIGIT DAY OF YEAR FROM CALENDAR
           DATE
10012 REM  VARIABLES
                I = 4-DIGIT YEAR, E.G., 1984
                J = 1- OR 2-DIGIT MONTH, E.G., 1=JAN, 12=DEC
                K = 1- OR 2-DIGIT DAY OF MONTH
10013 REM       N = 1- TO 3-DIGIT DAY OF YEAR
                L = LEAP YEAR FLAG
10014 N=INT(3055*(J+2)/100)-91
10015 GOSUB 10020
10016 IF J>2 THEN N=N-2+L
10017 N=N+K
10018 RETURN
10019 REM  LEAP YEAR CALCULATION
10020 L=0
10021 IF I=4*INT(I/4) THEN L=1
10022 IF I=100*INT(I/100) THEN L=0
10023 IF I=400*INT(I/400) THEN L=1
10024 RETURN
